org.apache.struts2.rest

## Class RestConstants

- java.lang.Object
- - org.apache.struts2.rest.RestConstants

-     public class RestConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REST_CONTENT_RESTRICT_TO_GET`
    `static String` | `REST_DEFAULT_ERROR_RESULT_NAME`
    `static String` | `REST_DEFAULT_EXTENSION`
    `static String` | `REST_LOGGER`
    `static String` | `REST_MAPPER_DELETE_METHOD_NAME`
    `static String` | `REST_MAPPER_EDIT_METHOD_NAME`
    `static String` | `REST_MAPPER_GET_METHOD_NAME`
    `static String` | `REST_MAPPER_INDEX_METHOD_NAME`
    `static String` | `REST_MAPPER_NEW_METHOD_NAME`
    `static String` | `REST_MAPPER_OPTIONS_METHOD_NAME`
    `static String` | `REST_MAPPER_POST_CONTINUE_METHOD_NAME`
    `static String` | `REST_MAPPER_POST_METHOD_NAME`
    `static String` | `REST_MAPPER_PUT_CONTINUE_METHOD_NAME`
    `static String` | `REST_MAPPER_PUT_METHOD_NAME`
    `static String` | `REST_VALIDATION_FAILURE_STATUS_CODE`
    `static String` | `STRUTS_REST_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REST_DEFAULT_EXTENSION

          public static final String REST_DEFAULT_EXTENSION

      See Also:
        Constant Field Values

    - #### REST_LOGGER

          public static final String REST_LOGGER

      See Also:
        Constant Field Values

    - #### REST_DEFAULT_ERROR_RESULT_NAME

          public static final String REST_DEFAULT_ERROR_RESULT_NAME

      See Also:
        Constant Field Values

    - #### REST_CONTENT_RESTRICT_TO_GET

          public static final String REST_CONTENT_RESTRICT_TO_GET

      See Also:
        Constant Field Values

    - #### REST_MAPPER_INDEX_METHOD_NAME

          public static final String REST_MAPPER_INDEX_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_GET_METHOD_NAME

          public static final String REST_MAPPER_GET_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_POST_METHOD_NAME

          public static final String REST_MAPPER_POST_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_EDIT_METHOD_NAME

          public static final String REST_MAPPER_EDIT_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_NEW_METHOD_NAME

          public static final String REST_MAPPER_NEW_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_DELETE_METHOD_NAME

          public static final String REST_MAPPER_DELETE_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_PUT_METHOD_NAME

          public static final String REST_MAPPER_PUT_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_OPTIONS_METHOD_NAME

          public static final String REST_MAPPER_OPTIONS_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_POST_CONTINUE_METHOD_NAME

          public static final String REST_MAPPER_POST_CONTINUE_METHOD_NAME

      See Also:
        Constant Field Values

    - #### REST_MAPPER_PUT_CONTINUE_METHOD_NAME

          public static final String REST_MAPPER_PUT_CONTINUE_METHOD_NAME

      See Also:
        Constant Field Values

    - #### STRUTS_REST_NAMESPACE

          public static final String STRUTS_REST_NAMESPACE

      See Also:
        Constant Field Values

    - #### REST_VALIDATION_FAILURE_STATUS_CODE

          public static final String REST_VALIDATION_FAILURE_STATUS_CODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RestConstants

          public RestConstants()

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.